Page MenuHomePhabricator | MITK

[BMC] Challenge Proposals: No field validations
Closed, ResolvedPublic

Description

  • Names can contain numbers
  • emails do not have to be valid
  • schedule can be in the past / the far distant future

Event Timeline

groehl created this task.Nov 23 2017, 3:04 PM
onogur claimed this task.Nov 29 2017, 10:24 AM
onogur moved this task from Restricted Project Column to Restricted Project Column on the Restricted Project board.
maerz added a subscriber: maerz.Dec 1 2017, 3:20 PM

I have added the following restrictins:

  • Username and password can contain only aphanumericals plus some common extras. This is the RegExp: ^[a-zA-Z0-9_!§$%&()?@öÖäÄüÜ]*$"
  • Username: 2-20 symbols
  • password: 8-50 symbols
  • email address: Must be valid email address =)

In the login view, you can see an application of the Vaadin 8 Field validators for other applications as well

onogur closed this task as Resolved.Dec 7 2017, 10:30 AM

The max string length of the parameters are now set to a certain value. The profile view is updated as well.

Also the login view does not refresh on wrong input now, instead a wrong input message is shown.